<?
/**
 * VoiceOne Settings/User/
 *
 * Frontend to provide access to the user system in voiceone.
 * @package voiceone
 * @subpackage  settings_user
 */
  include ("../../admin/config/cfg.php");
  global $cwlang, $cwLanguage;
  
  //================ PAGE LOGIC ================
  $alert=getAlert();
  
  if ($_GET["cmd"]=="del") {
    $ret=$asterisk->delUser($_GET["id"]);
    if ($ret==1) $alert="<div class=\"AlertGood\">".$cwlang["user"]["alertDelGood"]."</div>";
    else $alert="<div class=\"AlertBad\">".$cwlang["user"]["alertDelBad"]."</div>";
  }
  
  $ret=$asterisk->getUser(0);
  if ($err=$asterisk->getError()) die("Error: $err");
  $count=0;
  if (is_array($ret)) {
    foreach($ret as $v) {
      $id=$v["id"];
      $name=$v["username"];
      $type=$v["type"];
      $entity_id=$v["entity_id"];
      if ($type==USER_STANDARD) $icon="<img src=\"$relBasePath/public/img/user_standard.gif\" alt=\"Standard User\" />";
      if ($type==USER_CONFIGURATOR) $icon="<img src=\"$relBasePath/public/img/user_configurator.gif\" alt=\"Standard User\" />";
      if ($type==USER_SUPERUSER) $icon="<img src=\"$relBasePath/public/img/user_superuser.gif\" alt=\"Standard User\" />";
      if ($entity_id>0) $lock="<img src=\"$relBasePath/public/img/lock.gif\" alt=\"Locked\" />"; else $lock="";
      if ($entity_id==0) $del="<a href=\"$PHP_SELF?cmd=del&id=$id\" onclick=\"if (confirm('Are you sure to remove $name?')) return true; else return false;\"><img src=\"$relBasePath/public/img/trash.gif\" /></a>"; else $del="";
      
      if ($cwUserInfo["type"]==USER_CONFIGURATOR AND $type==USER_SUPERUSER)
        $html.="<td> $icon $lock $name</td>\n";
      else         
        $html.="<td> $icon $lock <a href=\"edit/?id=$id\">$name</a> $del</td>\n";
      if ((++$count)%2==0) $html.="</tr><tr>\n";
    }
  }  
  //================ MAIN CONTENTS ================
  ob_start();
  ?>
  <div class="SectionHeader">
    <?=$alert?>
    <h1><?=$cwlang["user"]["title"]?></h1>
    <h3>
      <a href="edit/" class="admin" ><?=$cwlang["user"]["newUser"]?></a> 
    </h3>
  </div>
  <table class="todolist">
    <tr>
      <?=$html?>
    </tr>
  </table>
  <?
  $contents=ob_get_contents();
  ob_end_clean();

  //================ SIDEBAR ================
  ob_start(); 
  ?>
        <div class="Sidebar">
          <h1><?=$cwlang["user"]["sidebarTitle"]?></h1>
          <?=$cwlang["user"]["sidebarDesc"]?>
        </div>
  <?  
  $sidebar=ob_get_contents();
  ob_end_clean();

  //================ SETTINGS ================

  $smarty->assign("section", "user");
  $smarty->assign("subsection", "");
  $smarty->assign("templateType", "TwoColLeft");  //OneCol, TwoColLeft, TwoColRight
  $smarty->assign("contents", $contents);
  $smarty->assign("sidebar", $sidebar);
  $smarty->display('settings.tpl');
?>

